{
    "suggest.timeout": 5000,
    "suggest.enablePreview": true,
    "suggest.maxPreviewWidth": 70,
    "diagnostic.displayByAle": false,
    "diagnostic.checkCurrentLine": true,
    "python.linting.pylintEnabled": false,
    "python.linting.flake8Enabled": true,
    "python.linting.mypyEnabled": true,
    "python.linting.mypyArgs": ["--ignore-missing-imports"],
    "python.venvPath": "~/.virtualenvs",
    "python.analysis.typeCheckingMode": "off",
    "suggest.detailField": "abbr",
    "suggest.snippetIndicator": "",
    "rust-analyzer.server.path": "rust-analyzer",
    "rust-analyzer.inlayHints.enable": false,
    "languageserver": {
      "ccls": {
        "command": "ccls",
        "filetypes": ["c", "cc", "cpp", "cuda", "objc", "objcpp"],
        "rootPatterns": [".ccls", "compile_commands.json", ".vim/", ".git/", ".hg/"],
        "initializationOptions": {
           "cache": {
             "directory": ".ccls-cache"
           }
         }
      },
      "golang": {
        "command": "gopls",
        "rootPatterns": ["go.mod", ".vim/", ".git/", ".hg/"],
        "filetypes": ["go"]
      }
    }
}
